package com.ruoyi.system.service;

import com.ruoyi.system.domain.ActSuppliesRole;
import com.ruoyi.system.domain.ActSuppliesTemplate;

import java.util.List;

/**
 * 物资管理Service接口
 * 
 * @author
 * @date
 */

public interface ActSuppliesTemplateService
{

    List<ActSuppliesTemplate> selectSuppliesTemplateList(ActSuppliesTemplate sysSupplies);

    List<ActSuppliesTemplate> selectSuppliesTemplateById(Long id);

    int insertSuppliesTemplate(ActSuppliesTemplate sysSupplies);

    int updateSuppliesTemplate(ActSuppliesTemplate sysSupplies);

    List<String> deleteSuppliesTemplateByIds(Long[] ids);

    List<ActSuppliesTemplate> saveTemplate(Long id);

    List<Integer> find(Long id);
    /**
     * 启用物料细分类管理
     *
     * @param id  尝试启用物料细分类管理的id
     * @return
     */
    void setEnable(Long id);

    /**
     * 禁用
     *
     * @param id  尝试禁用物料细分类管理的id
     */
    void setDisable(Long id);

    List<String> findName();


    int releaseStatus(Long[] ids);

    int offShelfStatus(Long[] ids);

    String copyTemplate(Long id);

    /**
     * 查询导入规则
     *
     * @param id 导入规则ID
     * @return 导入规则
     */
    public ActSuppliesRole selectActSuppliesRoleById(Integer id);

    /**
     * 查询导入规则列表
     *
     * @param id 导入规则
     * @return 导入规则集合
     */
     List<ActSuppliesRole> selectActSuppliesRoleList(Integer id);
    /**
     * 修改导入规则
     *
     * @param actSuppliesRole 导入规则
     * @return 结果
     */
     int updateActSuppliesRole(ActSuppliesRole actSuppliesRole);
}
